%global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kaddressbook
Summary: Contact Manager
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GFDL
URL:     https://www.kde.org/applications/office/kaddressbook

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libappstream-glib
BuildRequires: perl-generators

BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Test)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Grantlee5)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5Prison)

BuildRequires: cmake(Gpgmepp)


%global majmin_ver 5.113.0
BuildRequires: kf5-akonadi-search-devel >= %{majmin_ver}
BuildRequires: kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires: kf5-grantleetheme-devel >= %{majmin_ver}
BuildRequires: kf5-kontactinterface-devel >= %{majmin_ver}
BuildRequires: kf5-kpimtextedit-devel >= %{majmin_ver}
BuildRequires: kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires: kf5-libkleo-devel >= %{majmin_ver}
BuildRequires: kf5-mailcommon-devel >= %{majmin_ver}
BuildRequires: kf5-pimcommon-devel >= %{majmin_ver}

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

Requires: %{name}-libs = %{version}-%{release}
Requires: kdepim-runtime >= %{majmin_ver}

%description
KAddressBook stores all the personal details of your family, friends
and other contacts.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

rm -fv %{buildroot}%{_kf5_libdir}/libkorganizer_{core,interfaces}.so


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/kaddressbook-importer.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/kaddressbook-view.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif


%files -f %{name}.lang
%{_kf5_datadir}/qlogging-categories5/*%{name}.*
%{_kf5_bindir}/kaddressbook
%{_kf5_metainfodir}/org.kde.kaddressbook.appdata.xml
%{_kf5_datadir}/applications/org.kde.kaddressbook.desktop
%{_kf5_datadir}/applications/kaddressbook-importer.desktop
%{_kf5_datadir}/applications/kaddressbook-view.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/kaddressbook.*
%{_kf5_datadir}/kaddressbook/


%files libs
%{_kf5_libdir}/libkaddressbookprivate.so.*
%{_kf5_qtplugindir}/kaddressbookpart.so
%{_qt5_plugindir}/pim5/kcms/kaddressbook/kaddressbook_config_plugins.so
%{_kf5_qtplugindir}/pim5/kontact/kontact_kaddressbookplugin.so
%{_kf5_libdir}/libKPim5AddressbookImportExport.so.*

%files devel
%{_kf5_libdir}/libKPim5AddressbookImportExport.so
%{_includedir}/KPim5/
%{_libdir}/cmake/KPimAddressbookImportExport/
%{_libdir}/cmake/KPim5AddressbookImportExport/
%{_kf5_archdatadir}/mkspecs/modules/qt_KAddressbookImportExport.pri


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
